Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(4)  |  Call(4)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/transformation.py   rhinopython(Download)
    point = rhutil.coerce3dpoint(mirror_plane_point, True)
    normal = rhutil.coerce3dvector(mirror_plane_normal, True)
    return Rhino.Geometry.Transform.Mirror(point, normal)
 
 

src/r/h/rhinopython-HEAD/scripts/rhinoscript/object.py   rhinopython(Download)
    vec = Rhino.Geometry.Vector3d.CrossProduct(vec, normal)
    vec.Unitize()
    xf = Rhino.Geometry.Transform.Mirror(start_point, vec)
    rc = TransformObjects(object_ids, xf, copy)
    return rc

src/l/a/ladybug-HEAD/src/Ladybug_Forward Raytracing.py   ladybug(Download)
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)
 
                        mirrorT = rc.Geometry.Transform.Mirror(intPts[-1], plane.Normal)
 
                        lastRay = rc.Geometry.Line(intPts[-1], lastBounceLen * lastVector).ToNurbsCurve()

src/l/a/ladybug-HEAD/src/Ladybug_Bounce from Surface.py   ladybug(Download)
                        plane = rc.Geometry.Plane(intPts[-1], intNormal, crossProductNormal)
 
                        mirrorT = rc.Geometry.Transform.Mirror(intPts[-1], plane.Normal)
 
                        lastRay = rc.Geometry.Line(intPts[-1], lastBounceLen * lastVector).ToNurbsCurve()